#
# spec file for package gmpc-plugins
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gmpc-plugins
Version:        11.8.16
Release:        2.1
Summary:        Set of plugins that enhance functionality of the GNOME Music Player Client
License:        GPL-2.0
Group:          Productivity/Multimedia/Sound/Players
Url:            http://gmpclient.org/
Source0:        http://download.sarine.nl/Programs/gmpc/%{version}/%{name}-%{version}.tar.gz
#PATCH-FIX-OPENSUSE return-function.patch avvissu@yandex.ru -- Fix build errors found by RPMlint
Patch0:         gmpc-plugins-11.8.16_return-function.patch
#PATCH-FIX-OPENSUSE strndup.patch avvissu@yandex.ru -- Fix build with glibc-2.20 (define to 1 if have the `strndup' function)
Patch1:         gmpc-plugins-11.8.16_strndup.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  doxygen
BuildRequires:  fdupes
BuildRequires:  gob2
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  lirc-devel
BuildRequires:  pkg-config
BuildRequires:  xosd-devel
BuildRequires:  pkgconfig(avahi-client)
BuildRequires:  pkgconfig(avahi-glib)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(gmpc) >= 11.8.16
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libmicrohttpd)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  pkgconfig(webkit-1.0)
%ifarch armv6l armv6hl
BuildRequires:  -raspberrypi-userland
BuildRequires:  Mesa-libEGL1
%endif
Requires:       gmpc = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Set of plugins that enhance functionality of the GNOME Music Player Client.

Plugins are:
 * alarm - basic timer plugin
 * avahi - zeroconf profile scanning
 * awn - integrates GMPC with Avant Window Navigator
 * jamendo - Jamendo stream browser
 * lyrics - fetcher from multiple sources
 * magnatune - Magnatune stream browser
 * mmkeys - multimedia key plugin
 * tagedit -  editor for song tags
 * shout - stream shout-cast
 * etc

%package -n     gmpc-awn
Summary:        AWN plugin for gmpc
License:        GPL-2.0
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       gmpc >= %{version}

%description -n gmpc-awn
Shows track progress and album art in the task icon of GMPC on the dock.

%package -n     gmpc-alarm
Summary:        Basic timer plugin for gmpc
License:        GPL-2.0
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       gmpc >= %{version}
Recommends:     %{name}-lang = %{version}

%description -n gmpc-alarm
The Alarm Timer plugin turns your music player into an alarm, set the time
in at which it must go off and the rest is done by gmpc.

%package -n     gmpc-albumview
Summary:        Albumview plugin for gmpc
License:        GPL-2.0
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       gmpc >= %{version}

%description -n gmpc-albumview
This plugin shows your music collection in albums, it's showing album
covers with the artist and album name under it.

%package -n     gmpc-avahi
Summary:        Avahi plugin for gmpc
License:        GPL-2.0
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       gmpc >= %{version}

%description -n gmpc-avahi
This plugin can auto-detect the presence of mpd servers in the network.
For every found mpd it adds a profile, and updates it when the ip of the
server changes.

%package -n     gmpc-tagedit
Summary:        Gmpc Tagedit Plugin
License:        GPL-2.0
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       gmpc >= %{version}
Recommends:     %{name}-lang = %{version}

%description -n gmpc-tagedit
The tagedit plugin for GMPC adds a editor panel for editing song tags.

%package -n     gmpc-jamendo
Summary:        Gmpc Jamendo Plugin
License:        GPL-2.0
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       gmpc >= %{version}

%description -n gmpc-jamendo
The plugin allows you to browse, and preview available albums on jamendo.

%package -n     gmpc-lyrics
Summary:        Gmpc Lyrics Provider Plugin
License:        GPL-2.0
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       gmpc >= %{version}

%description -n gmpc-lyrics
This plugin fetches lyrics from the web from two sites:
 * LeosLyrics
 * LyricsTracker 

%package -n     gmpc-lyricwiki
Summary:        Gmpc Lyric Wiki Provider Plugin
License:        GPL-2.0
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       gmpc >= %{version}
Recommends:     %{name}-lang = %{version}

%description -n gmpc-lyricwiki
This plugin fetches lyrics from the internet and shows them in the song
information window.

%package -n     gmpc-magnatune
Summary:        Gmpc Magnatune Plugin
License:        GPL-2.0
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       gmpc >= %{version}

%description -n gmpc-magnatune
The plugin allows you to browse, and preview available albums on
magnatune.

%package -n     gmpc-mmkeys
Summary:        Multimedia key plugin for gmpc
License:        GPL-2.0
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       gmpc >= %{version}

%description -n gmpc-mmkeys
Plugin for gmpc which allows to use multimedia keys.

%package -n     gmpc-shout
Summary:        Gmpc Shout Plugin
License:        GPL-2.0
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       gmpc >= %{version}
Recommends:     %{name}-lang = %{version}

%description -n gmpc-shout
This plugin allows gmpc to play Shoutcast streams.

%package -n     gmpc-wikipedia
Summary:        Gmpc Wikipedia Plugin
License:        GPL-2.0
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       gmpc >= %{version}

%description -n gmpc-wikipedia
A plugin that shows the Wikipedia page of the currently playing artist.

%prep
%setup -q

%patch0 -p1
%patch1 -p1

sed -e "s|/lib/|/%{_lib}/|g" -i gmpc-awn/src/{Makefile.in,Makefile.am}

%build
autoreconf -fiv
%configure

make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

find %{buildroot} \( -name \*.a -o -name \*.la \) -exec rm -rf {} \;

%find_lang gmpc-alarm alarm.lang
%find_lang gmpc-tagedit tagedit.lang
%find_lang gmpc-lyricwiki lyricwiki.lang
%find_lang gmpc-shout shout.lang

%files -n gmpc-awn
%defattr(-,root,root,-)
%dir %{_libdir}/gmpc/
%dir %{_libdir}/gmpc/plugins
%{_libdir}/gmpc/plugins/awnplugin.so

%files -n gmpc-alarm -f alarm.lang
%defattr(-,root,root,-)
%dir %{_libdir}/gmpc/
%dir %{_libdir}/gmpc/plugins
%{_libdir}/gmpc/plugins/alarmplugin.so

%files -n gmpc-albumview
%defattr(-,root,root,-)
%dir %{_libdir}/gmpc/
%dir %{_libdir}/gmpc/plugins
%{_libdir}/gmpc/plugins/albumviewplugin.so
%dir %{_datadir}/gmpc-albumview
%dir %{_datadir}/gmpc-albumview/*
%dir %{_datadir}/gmpc-albumview/*/*
%dir %{_datadir}/gmpc-albumview/*/*/*
%dir %{_datadir}/gmpc-albumview/*/*/*/*
%{_datadir}/gmpc-albumview/icons/Humanity/scalable/*/*.svg
%{_datadir}/gmpc-albumview/icons/Humanity/*/apps/*.png
%{_datadir}/gmpc-albumview/icons/hicolor/scalable/*/*.svg
%{_datadir}/gmpc-albumview/icons/hicolor/*/apps/*.png

%files -n gmpc-avahi
%defattr(-,root,root,-)
%dir %{_libdir}/gmpc/
%dir %{_libdir}/gmpc/plugins
%{_libdir}/gmpc/plugins/avahiplugin.so

%files -n gmpc-tagedit -f tagedit.lang
%defattr(-,root,root,-)
%dir %{_libdir}/gmpc/
%dir %{_libdir}/gmpc/plugins
%{_libdir}/gmpc/plugins/gmpctageditplugin.so

%files -n gmpc-jamendo
%defattr(-,root,root,-)
%dir %{_libdir}/gmpc/
%dir %{_libdir}/gmpc/plugins
%{_libdir}/gmpc/plugins/jamendoplugin.so
%dir %{_datadir}/gmpc
%dir %{_datadir}/gmpc/plugins
%dir %{_datadir}/gmpc/plugins/jamendo
%{_datadir}/gmpc/plugins/jamendo/jamendo.png

%files -n gmpc-lyrics
%defattr(-,root,root,-)
%dir %{_libdir}/gmpc/
%dir %{_libdir}/gmpc/plugins
%{_libdir}/gmpc/plugins/lyricsplugin.so

%files -n gmpc-lyricwiki -f lyricwiki.lang
%defattr(-,root,root,-)
%{_libdir}/gmpc/plugins/lyricwikiplugin.so

%files -n gmpc-magnatune
%defattr(-,root,root,-)
%dir %{_libdir}/gmpc/
%dir %{_libdir}/gmpc/plugins
%{_libdir}/gmpc/plugins/magnatuneplugin.so
%dir %{_datadir}/gmpc
%dir %{_datadir}/gmpc/plugins
%dir %{_datadir}/gmpc/plugins/magnatune
%{_datadir}/gmpc/plugins/magnatune/magnatune.png

%files -n gmpc-mmkeys
%defattr(-,root,root,-)
%dir %{_libdir}/gmpc/
%dir %{_libdir}/gmpc/plugins
%{_libdir}/gmpc/plugins/mmkeysplugin.so

%files -n gmpc-shout -f shout.lang
%defattr(-,root,root,-)
%dir %{_libdir}/gmpc/
%dir %{_libdir}/gmpc/plugins
%{_libdir}/gmpc/plugins/shoutplugin.so

%files -n gmpc-wikipedia
%defattr(-,root,root,-)
%dir %{_libdir}/gmpc/
%dir %{_libdir}/gmpc/plugins
%{_libdir}/gmpc/plugins/wikiplugin.so
%dir %{_datadir}/gmpc
%dir %{_datadir}/gmpc/plugins
%dir %{_datadir}/gmpc/plugins/wikipedia
%{_datadir}/gmpc/plugins/wikipedia/wikipedia.png

%changelog
* Sat Oct  8 2016 joerg.lorenzen@ki.tng.de
- Removed service file because build often fails with 'bad temdir'
  and only sometimes succeeds.
* Sun Nov  9 2014 avvissu@yandex.ru
- Initial Release
